classification
Title: Implement asyncio.create_task() shortcut
Type: enhancement Stage: resolved
Components: asyncio, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-13 20:28 by asvetlov, last changed 2018-01-19 13:10 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4848 merged asvetlov, 2017-12-13 20:29
PR 5244 closed asvetlov, 2018-01-19 13:10
Messages (4)
msg308325 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-12-14 17:51
There's a lengthy discussion of this proposal over here: https://github.com/python/asyncio/issues/477

Guido there likes the idea of adding asyncio.create_task(), so let's add it.
msg308364 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-15 05:04
New changeset f74ef458ab1f502e4e60bd1502ac1dc0d2cb3847 by Andrew Svetlov in branch 'master':
bpo-32311: Implement asyncio.create_task() shortcut (#4848)
https://github.com/python/cpython/commit/f74ef458ab1f502e4e60bd1502ac1dc0d2cb3847
msg308366 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-12-15 06:54
Thank you, Andrew!
msg308375 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-15 10:19
Thanks for careful review!
History
Date User Action Args
2018-01-19 13:10:15asvetlovsetpull_requests: + pull_request5089
2017-12-15 10:19:30asvetlovsetmessages: + msg308375
2017-12-15 06:54:28yselivanovsetmessages: + msg308366
2017-12-15 05:27:34asvetlovsetstatus: open -> closed
type: enhancement
resolution: fixed
stage: patch review -> resolved
2017-12-15 05:04:44asvetlovsetmessages: + msg308364
2017-12-14 17:51:24yselivanovsetmessages: + msg308325
2017-12-13 20:29:27asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4737
2017-12-13 20:28:03asvetlovcreate